﻿using System;
using System.ComponentModel;
using System.Drawing;

namespace TestProject
{
    /// <summary>
    /// 데이터 헬퍼
    /// </summary>
    public class DataHelper
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// 회사명 배열
        /// </summary>
        public static string[] CompanyNameArray = new string[]
        {
            "Hanari Carnes",
            "Que Delícia",
            "Romero y tomillo",
            "Mère Paillarde",
            "Comércio Mineiro",
            "Reggiani Caseifici",
            "Maison Dewey"
        };

        /// <summary>
        /// 이미지 배열
        /// </summary>
        public static Image[] ImageArray = new Image[]
        {
            global::TestProject.Properties.Resources.palette_16x16,
            global::TestProject.Properties.Resources.viewonweb_16x16,
            global::TestProject.Properties.Resources.design_16x16,
            global::TestProject.Properties.Resources.piestylepie_16x16,
            global::TestProject.Properties.Resources.alignhorizontaltop2_16x16,
            null
        };

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region 레코드 바인딩 리스트 구하기 - GetRecordBindingList(count)

        /// <summary>
        /// 레코드 바인딩 리스트 구하기
        /// </summary>
        /// <param name="count">카운트</param>
        /// <returns>레코드 바인딩 리스트</returns>
        public static BindingList<Record> GetRecordBindingList(int count)
        {
            BindingList<Record> bindingList = new BindingList<Record>();

            Random random = new Random(DateTime.Now.Millisecond);

            for(int i = 0; i < count; i++)
            {
                int value = random.Next(10);

                bindingList.Add
                (
                    new Record()
                    {
                        ID           = i + 100,
                        CompanyName  = CompanyNameArray[i % CompanyNameArray.Length],
                        RequiredDate = DateTime.Today.AddDays(value - 5),
                        Payment        = i % 2 == 0 ? (i + 1) * 123 : i * 231,
                        Processed    = i % 2 == 0,
                        Image        = ImageArray[i % ImageArray.Length],
                    }
                );
            };

            return bindingList;
        }

        #endregion
    }
}